Subject: Re: bug#29918: 26.0.90; serial-term error in process filter

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 14 Jul 2019 19:52:50 +0200

Gemini Lasswell <[email-masked]> writes:

> When a serial-term buffer is connected to a device with bad wiring or
> hardware problems, it spams the minibuffer with messages like this:
>
> error in process filter: Args out of range: "\361", -1 [2 times]
> error in process filter: Args out of range: "\377\375", -1 [2 times]
> error in process filter: Args out of range: "\370\340\374\374", -1 [2 times]
> error in process filter: Args out of range: "\376\340\360\370", -1 [2 times]
> error in process filter: Args out of range: "\377\377\374\376\371\376\301\377", -1 [2 times]
> error in process filter: Args out of range: "\376", -1 [2 times]
>
> Emacs 25.3 is silent under the same conditions.

Does setting (setq debug-on-error t) give you a backtrace for these
errors?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no